Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
volumes
[Volumes] Create a new storage volume
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/volumes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "size_gb": 2147483647,
  "location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "disk_type": "ssd",
  "instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
name
string
required

Volume name

Maximum string length: 255
size_gb
integer<int64>
required

Volume size in GB

Required range: 0 <= x <= 4294967295
location_id
string<uuid>
required
write-only
disk_type
enum<string>

Disk type (ssd, nvme)

  • ssd - SSD
  • nvme - NVMe
  • unknown - Unknown
Available options:
ssd,
nvme,
unknown
instance_id
string<uuid> | null
write-only

Response

Volume creation initiated successfully